Bug 727853 - CDMA EVDO 3G modem can not connect to providers which need custom init string for connecting
CDMA EVDO 3G modem can not connect to providers which need custom init string...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
15
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 08:30 EDT by Vyacheslav Garashchenko
Modified: 2012-08-07 12:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:03:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vyacheslav Garashchenko 2011-08-03 08:30:35 EDT
Description of problem:
For some operators its need custom init string, depend ot the modem type, for connecting. In my case, modem Pantech UM175 have default setting AT+CRM=2, but for connecting to CDMAUA it's need to set AT+CRM=1 init string. Without this, modem is disconnect in 5-10 seconds after connecting. I was check on Windows - without this init string I have the same result - quick disconnecting. But in Windows it's exist the place for init modem string. In modem manager-network manager, I can select only country and operator, and thats all. And because the modem manager and network manager is fully unusable in my case. I must use kppp for connecting to CDMA 3G network. 

Version-Release number of selected component (if applicable):
NetworkManager-glib-0.8.9997-6.git20110721.fc15.i686
ModemManager-0.4.998-1.git20110706.fc15.i686
NetworkManager-openvpn-0.8.9997-2.git20110721.fc15.i686
NetworkManager-gnome-0.8.9997-6.git20110721.fc15.i686
NetworkManager-vpnc-0.8.999-3.git20110721.fc15.i686
NetworkManager-openconnect-0.8.999-1.fc15.i686
NetworkManager-0.8.9997-6.git20110721.fc15.i686
NetworkManager-pptp-0.8.999-2.git20110721.fc15.i686


How reproducible:
Always with operator with which it's necessary custom init string for connections (CDMAUA)

Steps to Reproduce:
1.Insert modem Pantech UM175
2.setup connection (CDMAUA)
3 Try to connect  
Actual results:
Connecting, then quick disconnect.

Expected results:
If network manager and modem manager is the part of os, it's may be possible to use this components for connect to network. The network manager may have the possibility to write additional init modem string for working with equipment, which need aditional initialisation for work, or for possibility of connect optimisation with additional fine tune with AT command.

Additional info:
Modem: 
ati1
Manufacturer: UTStarcom communication Inc.
Model: UM175VW
Revision: D0700VET01_3.190  1  [Aug 28 2007 13:00:00] [Mar 15 2008 14:58:19]
ESN: 0x73EADE1D
+GCAP: +CIS707-A, CIS-856, CIS-856-A

default setting for at+crm:
at+crm?
+CRM: 2

It's impossible to avoid problem by change default setting, because this modem don't have command for writing configuration:
at&w
ERROR
at&w0
ERROR
at&w1
ERROR

Operator: http://www.cdma.ua/

===================
/var/log/messages
Aug  3 15:25:32 slava NetworkManager[788]: <info> Activation (ttyACM0) starting connection 'CDMA Ukraine test'
Aug  3 15:25:32 slava NetworkManager[788]: <info> (ttyACM0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Aug  3 15:25:32 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
Aug  3 15:25:32 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
Aug  3 15:25:32 slava NetworkManager[788]: <info> (ttyACM0): device state change: prepare -> need-auth (reason 'none') [40 60 0]
Aug  3 15:25:32 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Aug  3 15:25:33 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
Aug  3 15:25:33 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
Aug  3 15:25:33 slava NetworkManager[788]: <info> (ttyACM0): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Aug  3 15:25:33 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Aug  3 15:25:33 slava modem-manager[857]: <info>  (ttyACM0) opening serial port...
Aug  3 15:25:33 slava modem-manager[857]: <info>  Modem /org/freedesktop/ModemManager/Modems/4: state changed (disabled -> enabling
)
Aug  3 15:25:33 slava modem-manager[857]: <info>  (ttyUSB0) opening serial port...
Aug  3 15:25:33 slava modem-manager[857]: <info>  Modem /org/freedesktop/ModemManager/Modems/4: state changed (enabling -> enabled)
Aug  3 15:25:33 slava NetworkManager[788]: <info> WWAN now enabled by management service
Aug  3 15:25:33 slava modem-manager[857]: <info>  Modem /org/freedesktop/ModemManager/Modems/4: state changed (enabled -> registere
d)
Aug  3 15:25:33 slava modem-manager[857]: <info>  Modem /org/freedesktop/ModemManager/Modems/4: state changed (registered -> connec
ting)
Aug  3 15:25:35 slava modem-manager[857]: <info>  Modem /org/freedesktop/ModemManager/Modems/4: state changed (connecting -> connec
ted)
Aug  3 15:25:35 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) scheduled...
Aug  3 15:25:35 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) starting...
Aug  3 15:25:35 slava NetworkManager[788]: <info> (ttyACM0): device state change: prepare -> config (reason 'none') [40 50 0]
Aug  3 15:25:35 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) successful.
Aug  3 15:25:35 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 3 of 5 (IP Configure Start) scheduled.
Aug  3 15:25:35 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) complete.
Aug  3 15:25:35 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 3 of 5 (IP Configure Start) started...
Aug  3 15:25:35 slava NetworkManager[788]: <info> (ttyACM0): device state change: config -> ip-config (reason 'none') [50 70 0]
Aug  3 15:25:35 slava NetworkManager[788]: <info> starting PPP connection
Aug  3 15:25:35 slava NetworkManager[788]: <info> pppd started with pid 26876
Aug  3 15:25:35 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 3 of 5 (IP Configure Start) complete.
Aug  3 15:25:35 slava pppd[26876]: Plugin /usr/lib/pppd/2.4.5/nm-pppd-plugin.so loaded.
Aug  3 15:25:35 slava pppd[26876]: pppd 2.4.5 started by root, uid 0
Aug  3 15:25:35 slava pppd[26876]: Using interface ppp0
Aug  3 15:25:35 slava pppd[26876]: Connect: ppp0 <--> /dev/ttyACM0
Aug  3 15:25:39 slava pppd[26876]: local  IP address 31.40.194.151
Aug  3 15:25:39 slava pppd[26876]: remote IP address 10.13.0.1
Aug  3 15:25:39 slava pppd[26876]: primary   DNS address 195.80.231.5
Aug  3 15:25:39 slava pppd[26876]: secondary DNS address 8.8.8.8
Aug  3 15:25:39 slava NetworkManager[788]: <info> PPP manager(IP Config Get) reply received.
Aug  3 15:25:39 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 4 of 5 (IP4 Configure Get) scheduled...
Aug  3 15:25:39 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 4 of 5 (IP4 Configure Get) started...
Aug  3 15:25:39 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 5 of 5 (IP Configure Commit) scheduled...
Aug  3 15:25:39 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 4 of 5 (IP4 Configure Get) complete.
Aug  3 15:25:39 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 5 of 5 (IP Configure Commit) started...
Aug  3 15:25:40 slava NetworkManager[788]: <info> Policy set 'telnetproxy' (wlan0) as default for IPv4 routing and DNS.
Aug  3 15:25:40 slava NetworkManager[788]: <info> (ttyACM0): device state change: ip-config -> activated (reason 'none') [70 100 0]
Aug  3 15:25:40 slava dnsmasq[1418]: reading /etc/resolv.conf
Aug  3 15:25:40 slava dnsmasq[1418]: using nameserver 8.8.8.8#53
Aug  3 15:25:40 slava dnsmasq[1418]: using nameserver 195.80.231.5#53
Aug  3 15:25:40 slava dnsmasq[1418]: using nameserver 192.168.0.4#53
Aug  3 15:25:40 slava NetworkManager[788]: <info> Activation (ttyACM0) successful, device activated.
Aug  3 15:25:40 slava NetworkManager[788]: <info> Activation (ttyACM0) Stage 5 of 5 (IP Configure Commit) complete.
Aug  3 15:25:40 slava dbus-daemon: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Aug  3 15:25:40 slava dbus-daemon: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Aug  3 15:25:40 slava systemd[1]: sendmail.service: control process exited, code=exited status=7
Aug  3 15:25:40 slava ntpd[768]: Listen normally on 28 ppp0 31.40.194.151 UDP 123
Aug  3 15:25:40 slava ntpd[768]: 92.249.120.2 interface 192.168.255.2 -> 192.168.2.2
Aug  3 15:25:40 slava ntpd[768]: 193.106.144.7 interface 192.168.255.2 -> 192.168.2.2
Aug  3 15:25:40 slava ntpd[768]: 85.214.58.167 interface 192.168.255.2 -> 192.168.2.2
Aug  3 15:25:40 slava ntpd[768]: 95.89.157.176 interface 192.168.255.2 -> 192.168.2.2
Aug  3 15:25:40 slava ntpd[768]: peers refreshed
Aug  3 15:25:41 slava ntpd[768]: 0.0.0.0 0648 08 no_sys_peer
Aug  3 15:25:45 slava pppd[26876]: Modem hangup
Aug  3 15:25:45 slava pppd[26876]: Connect time 0.1 minutes.
Aug  3 15:25:45 slava pppd[26876]: Sent 0 bytes, received 0 bytes.
Aug  3 15:25:45 slava pppd[26876]: Connection terminated.
Aug  3 15:25:45 slava NetworkManager[788]: <info> (ttyACM0): device state change: activated -> failed (reason 'ppp-disconnect') [100 120 13]
Aug  3 15:25:45 slava modem-manager[857]: <info>  (ttyACM0) closing serial port...
Aug  3 15:25:45 slava NetworkManager[788]: <warn> Activation (ttyACM0) failed.
Aug  3 15:25:45 slava NetworkManager[788]: <info> (ttyACM0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Aug  3 15:25:45 slava modem-manager[857]: <info>  (ttyACM0) serial port closed
Aug  3 15:25:45 slava modem-manager[857]: <info>  Modem /org/freedesktop/ModemManager/Modems/4: state changed (connected -> disconnecting)
Aug  3 15:25:45 slava modem-manager[857]: <info>  Modem /org/freedesktop/ModemManager/Modems/4: state changed (disconnecting -> connected)
Aug  3 15:25:45 slava NetworkManager[788]: <info> (ttyACM0): deactivating device (reason: 0).
Aug  3 15:25:45 slava avahi-daemon[783]: Withdrawing workstation service for ppp0.
Aug  3 15:25:45 slava NetworkManager[788]: <warn> could not read ppp stats: No such device
Aug  3 15:25:45 slava pppd[26876]: Terminating on signal 15
Aug  3 15:25:45 slava pppd[26876]: Exit.
Aug  3 15:25:45 slava NetworkManager[788]: <info> Policy set 'telnetproxy' (wlan0) as default for IPv4 routing and DNS.
Aug  3 15:25:45 slava NetworkManager[788]: <info> Policy set 'telnetproxy' (wlan0) as default for IPv4 routing and DNS.
Aug  3 15:25:45 slava NetworkManager[788]: <info> disconnect failed: (32) The serial port is not open.
Aug  3 15:25:45 slava systemd[1]: sendmail.service: control process exited, code=exited status=7
Aug  3 15:25:46 slava ntpd[768]: Deleting interface #28 ppp0, 31.40.194.151#123, interface stats: received=0, sent=0, dropped=0, active_time=6 secs
Aug  3 15:25:46 slava ntpd[768]: peers refreshed
Comment 1 Dan Williams 2012-03-13 16:07:25 EDT
ModemManager has support for that mode already, what we need is some bits in NM to support it.
Comment 2 Fedora End Of Life 2012-08-07 12:03:06 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.